Bug 820676 - enabled unbuilt modules
enabled unbuilt modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: castor (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On: 820300 995542
Blocks: 968136
  Show dependency treegraph
 
Reported: 2012-05-10 12:26 EDT by gil cattaneo
Modified: 2013-08-15 02:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: castor-1.3.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 10:22:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enabled unbuilt modules (1.98 MB, patch)
2012-05-10 12:26 EDT, gil cattaneo
no flags Details | Diff
enabled unbuilt modules (28.26 KB, patch)
2012-05-10 12:44 EDT, gil cattaneo
no flags Details | Diff
enabled unbuilt modules with ant (1.43 MB, patch)
2012-06-09 11:40 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-05-10 12:26:49 EDT
Created attachment 583631 [details]
enabled unbuilt modules

Description of problem:
castor-xml is missing and its required by jasperreport > 4.0.2
Comment 1 Alexander Kurtakov 2012-05-10 12:29:26 EDT
The patch adds binary jars which is totally unacceptable.
Comment 2 gil cattaneo 2012-05-10 12:44:27 EDT
Created attachment 583640 [details]
enabled unbuilt modules
Comment 3 gil cattaneo 2012-06-09 11:40:40 EDT
Created attachment 590620 [details]
enabled unbuilt modules with ant
Comment 4 D Morgan 2012-09-09 14:53:56 EDT
Alexander can you look this package ?
Comment 5 Fedora End Of Life 2013-04-03 09:41:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Mat Booth 2013-08-09 12:49:25 EDT
castor-1.3.2-9 is now built for rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=455478

This build has the various xml and jdo modules enabled.

I bootstrapped the build by pre-generating the generated source on a machine that has the castor-maven-plugin available. (Definitely not including any binaries!)

Using this bootstrap build, we can now build castor-maven-plugin, which is not yet in Fedora see the review request in bug 995542. When castor-maven-plugin is built for rawhide, we will be able to perform a non-bootstrap build of castor.

I am leaving this bug open as a reminder to perform a non-bootstrap build when bug 995542 is resolved.
Comment 7 Mat Booth 2013-08-12 10:22:54 EDT
Non-bootstrap build is now done for rawhide:


http://koji.fedoraproject.org/koji/buildinfo?buildID=456211

Note You need to log in before you can comment on or make changes to this bug.